{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function sched_rpt1, send_event, msg\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\n* ss stands for scheduled ship\r\nSSDateFrom = .ss_date_from->text\r\nSSDateThru = .ss_date_thru->text\r\nCusts = .customer_info->array<1>\r\nswap @vm:@vm with '' in Custs\r\nif Custs[-1,1] = @vm then Custs[-1,1] = ''\r\nPO = .po->array\r\nswap @vm:@vm with '' in PO\r\nif PO[-1,1] = @vm then PO[-1,1] = ''\r\nLotNum = .lot_num->array\r\nswap @vm:@vm with '' in LotNum\r\nif LotNum[-1,1] = @vm then LotNum[-1,1] = ''\r\nWO = .wo->array\r\nswap @vm:@vm with '' in WO\r\nif WO[-1,1] = @vm then WO[-1,1] = ''\r\nPartNum = .part_num->array\r\nswap @vm:@vm with '' in PartNum\r\nif PartNum[-1,1] = @vm then PartNum[-1,1] = ''\r\nif SSDateFrom and SSDateThru then\r\n\tDirToPrint   = .send_to_printer->text\r\n\tRetVal = SSDateFrom:'*':SSDateThru:'*':DirToPrint:'*':Custs:'*':PO:'*':WO:'*':LotNum:'*':PartNum\r\n\tend_dialog( @window, RetVal )\r\nend else\r\n    MsgInfo = ''\r\n    MsgInfo<mtext$> = 'You must have a Scheduled Shipment from date and a thru date.'\r\n    MsgInfo<micon$> = '!'\r\n    Void = msg( '', MsgInfo )\r\nend\r\nreturn 0\r\n"
        }
    }
}